# DataExchange
TKXCAFSchema
PXCAFDoc

# PXCAFDoc_Area Class Reference

`#include <PXCAFDoc_Area.hxx>`

## Public Member Functions

Standard_EXPORT | PXCAFDoc_Area ()
Standard_EXPORT | PXCAFDoc_Area (const Standard_Real Value)
Standard_EXPORT Standard_Real | Get () const
Standard_EXPORT void | Set (const Standard_Real V)
| PXCAFDoc_Area (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPXCAFDoc_AreamyValue () const
void | _CSFDB_SetPXCAFDoc_AreamyValue (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PXCAFDoc_Area::PXCAFDoc_Area | ( |  | ) |

Standard_EXPORT PXCAFDoc_Area::PXCAFDoc_Area | ( | const Standard_Real | Value | ) |

PXCAFDoc_Area::PXCAFDoc_Area | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PXCAFDoc_Area::_CSFDB_GetPXCAFDoc_AreamyValue | ( |  | ) | const`[inline]`

void PXCAFDoc_Area::_CSFDB_SetPXCAFDoc_AreamyValue | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Standard_Real PXCAFDoc_Area::Get | ( |  | ) | const

Standard_EXPORT const PXCAFDoc_Area::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void PXCAFDoc_Area::Set | ( | const Standard_Real | V | ) |

## Field Documentation

Standard_Real PXCAFDoc_Area::myValue `[private]`

The documentation for this class was generated from the following file:

- PXCAFDoc_Area.hxx